Subject: Re: pine probs: structure has no member named `always_spell_check'
To: Marc Slemko <>
From: Jeremy C. Reed <>
List: tech-pkg
Date: 12/16/2002 12:01:05
On Mon, 16 Dec 2002, Marc Slemko wrote:

> Are you saying that netbsd packages have no mechanism for specifying
> that there are version dependencies on a library?  pine version x

No. I was not talking about packages (like compiled, ready-to-use
software). Packages can be the end-product of using pkgsrc.

(The packages do record version dependencies as needed.)

> requires version >= y of imap-uw, but if you have an older one
> installed then the compilation just fails... even if your pkgsrc is
> updated, since the package doesn't specify any version dependency.

In this case, I am guessing that the entire pkgsrc was not updated. If had
been, then this version dependency would have been updated too.

   Jeremy C. Reed